%{?nodejs_find_provides_and_requires}

%global packagename memoizee
%global enable_tests 0
# tests disabled due to missing npm(tad) test suite

Name:		nodejs-memoizee
Version:	0.3.9
Release:	4%{?dist}
Summary:	Memoize/cache function results

License:	MIT
URL:		https://github.com/medikoo/memoize.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(tad)
%endif


%description
Memoize/cache function results


%prep
%setup -q -n package

%nodejs_fixdep es6-weak-map ~2.0.1
# allow newer version of npm(es6-weak-map)

%nodejs_fixdep d "<=2.0.0"
# allow either the 0.1.x or 1.x.x series of npm(d)


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ ext/ normalizers/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%{__nodejs} %{nodejs_sitelib}/tad/bin/tad
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Dec 22 2015 Jared Smith <jsmith@fedoraproject.org> - 0.3.9-3
- Allow newer version of npm(d)

* Tue Nov 10 2015 Jared Smith <jsmith@fedoraproject.org> - 0.3.9-2
- Initial packaging
